<template>
  <div class="dashboard-main">
    <div class="row m-0 dashboard-main-container">
      <div class="col-12 h5 mb-4 d-flex flex-row-reverse">
        <div class="row m-0 w-50">
          <div class="col pr-0">
            <b-button
              class="w-100 button1 p-1 ยพ"
              type="submit"
              @click="triggerQuerySummary('TRUE')"
              >TRUE</b-button
            >
          </div>
          <div class="col pr-0">
            <b-button
              class="w-100 button1 p-1"
              type="submit"
              @click="triggerQuerySummary('AIS')"
              >AIS</b-button
            >
          </div>
          <div class="col pr-0">
            <b-button
              class="w-100 button1 p-1"
              type="submit"
              @click="triggerQuerySummary('DTAC')"
              >DTAC</b-button
            >
          </div>
        </div>
      </div>
      <div class="col-12 col-md-12 col-xl-4 trend-list text-left">
        <div v-if="summaryGet">
          <div>Brand: {{ summaryGet[0]["brand"] || null }}</div>
          <div>Replies: {{ summaryGet[0]["No. Replies"] }}</div>
          <div>Post: {{ summaryGet[0]["No. Post"] }}</div>
          <div>Positive: {{ summaryGet[0]["No. Positive"] }}</div>
          <div>Nesitive: {{ summaryGet[0]["No. Negative"] }}</div>
        </div>
      </div>
    </div>
    <div
      class="row m-0 dashboard-main-container mt-3"
      v-if="userDataData == 'executive'"
    >
      <div class="col col-lg track-submit text-center">
        <b-button class="w-50 button1" type="submit" @click="savePopup()"
          >SAVE SUMMARY</b-button
        >
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import Component from "vue-class-component";
import { Action, Getter, namespace } from "vuex-class";

const DashboardStore = namespace("dashboard");
const AuthStore = namespace("auth");

@Component({
  name: "Dashboard_Main"
})
export default class Dashboard_Main extends Vue {
  @DashboardStore.Action("querySummary") querySummary!: any;
  @DashboardStore.Action("saveSummary") saveSummary!: any;
  @DashboardStore.Getter("summaryGet") summaryGet!: object;
  @AuthStore.Getter("userDataData") userDataData!: string;

  savePopup() {
    this.$swal({
      type: "warning",
      title: "Confirm",
      text: "Do you want to save today's summary?",
      confirmButtonColor: "#ef476f",
      showCancelButton: true
    }).then(result => {
      this.saveSummary().then(() => {
        this.$swal({
          type: "success",
          title: "Success!"
        });
      });
    });
  }

  async triggerQuerySummary(brand: string) {
    if (!brand) return;
    await this.querySummary({ brand: brand });
  }

  mounted() {
    this.querySummary({ brand: "AIS" });
  }
}
</script>

<style>
</style>
